<template>
  <div>
    <Main v-if="showPage === 'Main'" @changePage="changePage"></Main>
  </div>
</template>

<script setup>
import Main from "./Main/index.vue";
import { reactive, ref } from "vue";

let showPage = ref('Main')
let editObj = reactive({
  editObj: null
})
const changePage = (val, obj) => {
  if (obj) {
    editObj.editObj = obj
  } else {
    editObj.editObj = null
  }
  showPage.value = val
}
</script>

<style lang="scss" scoped></style>